#Developing ggplot2 theme format 
themebox <- function(base_family = "sans", ...){
  theme_bw(base_family = base_family, ...) +
    theme( plot.title = element_text(size = 18,  face = "bold"),
           axis.ticks.length = unit(-0.05, "in"),
           axis.title = element_text(face="bold", size=18),
           axis.text.x=element_text(margin=unit(c(0.3,0.3,0.3,0.3), "cm"),colour="black", size = 15),
           axis.text.y=element_text(margin=unit(c(0.3,0.3,0.3,0.3), "cm"),colour="black", size = 15),
           axis.line = element_line(size=0.5, colour = "black"),
           #axis.ticks.x = element_blank(),
           aspect.ratio = .8,
           legend.background = element_rect(color = "black", fill = "white") )
}
